Bug 644317 - [RFE] use IODINE_PASS and IODINED_PASS as a pssword holders
Summary: [RFE] use IODINE_PASS and IODINED_PASS as a pssword holders
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: iodine
Version: el5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-19 12:40 UTC by Andy Shevchenko
Modified: 2010-11-26 16:58 UTC (History)
2 users (show)

Fixed In Version: iodine-0.6.0-0.rc1.6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 22:34:51 UTC
Type: ---


Attachments (Terms of Use)

Description Andy Shevchenko 2010-10-19 12:40:20 UTC
Description of problem:
This is a RFE. The idea is to allow admin to set passwords in native way for iodine(d) through mentioned [in documentation] environment variables.

Version-Release number of selected component (if applicable):
EPEL5 official package

Comment 1 Pavel Alexeev 2010-10-23 16:24:31 UTC
Why you think it is better then keep its in config files?

Comment 2 Pavel Alexeev 2010-10-23 17:05:49 UTC
And according to the MAN it should be used already:
ENVIRONMENT
   IODINE_PASS
       If  the environment variable IODINE_PASS is set, iodine will use the value it is set to as password instead of asking for
       one. The -P option still has precedence.

   IODINED_PASS
       If the environment variable IODINED_PASS is set, iodined will use the value it is set to as password  instead  of  asking
       for one. The -P option still has precedence.

Did you tried it?

Comment 3 Andy Shevchenko 2010-10-25 06:53:36 UTC
(In reply to comment #1)
> Why you think it is better then keep its in config files?

I think it's better to provide them also via /etc/sysconfig/iodine* files.
Now you have only one variable there is OPTIONS. It might be IODINE(D)_PASS there as well.

Comment 4 Pavel Alexeev 2010-10-25 08:50:19 UTC
Hm. To do not pass it in command line? It may have worth by security reasons. Or you think about different advantages?

Comment 5 Andy Shevchenko 2010-10-25 09:00:22 UTC
I mean put to the /etc/sysconfig/* files something like following:

# comments
IODINED_PASS="my cool passwd"

# comments
OPTIONS="bla-bla-bla"

Comment 6 Pavel Alexeev 2010-11-04 23:05:58 UTC
Why you think it is better then provide password in OPTIONS?

Comment 7 Fedora Update System 2010-11-11 05:57:22 UTC
iodine-0.6.0-0.rc1.6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.6.el5

Comment 8 Fedora Update System 2010-11-11 06:08:16 UTC
iodine-0.6.0-0.rc1.6.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.6.fc12

Comment 9 Fedora Update System 2010-11-11 06:13:00 UTC
iodine-0.6.0-0.rc1.6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.6.fc13

Comment 10 Fedora Update System 2010-11-11 16:38:49 UTC
iodine-0.6.0-0.rc1.6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iodine'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/iodine-0.6.0-0.rc1.6.el5

Comment 11 Fedora Update System 2010-11-19 22:34:31 UTC
iodine-0.6.0-0.rc1.6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-19 22:38:33 UTC
iodine-0.6.0-0.rc1.6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-26 16:58:28 UTC
iodine-0.6.0-0.rc1.6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.